net.snowflake.client.jdbc

## Class SnowflakeTimestampNTZAsUTC

- java.lang.Object
- - java.util.Date
  - - java.sql.Timestamp
    - - net.snowflake.client.jdbc.SnowflakeTimestampNTZAsUTC

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

    public class SnowflakeTimestampNTZAsUTC
    extends Timestamp

Timestamp with toString in UTC timezone.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeTimestampNTZAsUTC(long seconds, int nanoseconds)`
`SnowflakeTimestampNTZAsUTC(Timestamp ts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string representation in UTC

### Methods inherited from class java.sql.Timestamp

`after, before, compareTo, compareTo, equals, equals, from, getNanos, getTime, hashCode, setNanos, setTime, toInstant, toLocalDateTime, valueOf, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTimezoneOffset, getYear, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnowflakeTimestampNTZAsUTC

    public SnowflakeTimestampNTZAsUTC(long seconds,
                                      int nanoseconds)

#### SnowflakeTimestampNTZAsUTC

    public SnowflakeTimestampNTZAsUTC(Timestamp ts)

### Method Detail

#### toString

    public String toString()

Returns a string representation in UTC

Overrides:
  `toString` in class `Timestamp`
Returns:
  a string representation of the object